# IShResourceUtilities Struct Reference
[Shell Utilities]

Utilities for getting and handling resources. More...

Inheritance diagram for IShResourceUtilities:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetIndString (TMCString &ioString, int16 inResID, int16 inIndex)=0
virtual MCCOMErr MCCOMAPI | GetIndString (IDType inCompFamilyID, IDType inCompClassID, TMCString &ioString, int16 inResID, int16 inIndex)=0
virtual MCCOMErr MCCOMAPI | GetResource (const FourCharT inType, const int32 inResID, TMCResource *&outResource)=0
virtual MCCOMErr MCCOMAPI | GetIndResource (const IDType type, const int32 index, TMCResource *&outResource)=0
virtual MCCOMErr MCCOMAPI | SetupComponentResources (IDType inCompFamilyID, IDType inCompClassID, void **outOldResources)=0
virtual MCCOMErr MCCOMAPI | RestoreComponentResources (void *inOldResources)=0
virtual void MCCOMAPI | ReleaseResource (TMCResource *resourcePtr)=0
virtual void MCCOMAPI | GetCommandBindingGroup (TMCCommandBindingGroup &ioGroup, int16 inResID)=0

## Detailed Description

Utilities for getting and handling resources.

## Member Function Documentation

virtual void MCCOMAPI IShResourceUtilities::GetCommandBindingGroup | ( | TMCCommandBindingGroup & | ioGroup,
|  | int16 | inResID |
| ) |  |  | `[pure virtual]`

Loads a TMCCommandBindingGroup from a 'BnGp' resource Usually used in the implementation of GetCommandBindingContexts of a prefs component (derived from TBasicPrefsComponent) For scene commands, you can specify the binding directly in the 'scmd' resource.

Note:
  you must be in the right resource context to load the proper resource, so don't forget to use a CWhileInCompResFile object.

Parameters:

  | ioGroup | the group to fill
  | inResID | the id of the 'BnGp' resource to load

virtual MCCOMErr MCCOMAPI IShResourceUtilities::GetIndResource | ( | const IDType | type,
|  | const int32 | index,
|  | TMCResource *& | outResource |
| ) |  |  | `[pure virtual]`

Gets a resource by index from the current resource file. Generally used when you want to operate on every resource of a given type in the resource file.

See also:
  CWhileInCompResFile

Parameters:

  | type | Resource type to get
  | index | Index of resource to get
  | outResource | A pointer to the resource that is returned

virtual MCCOMErr MCCOMAPI IShResourceUtilities::GetIndString | ( | IDType | inCompFamilyID,
|  | IDType | inCompClassID,
|  | TMCString & | ioString,
|  | int16 | inResID,
|  | int16 | inIndex |
| ) |  |  | `[pure virtual]`

Gets a string from a STR# resource by index. Looks in the resource corresponding to the specified family and class IDs.

Parameters:

  | inCompFamilyID | Component family ID for resource
  | inCompClassID | Component class ID for resource
  | ioString | Returns the string found
  | inResID | Resource ID of the STR# resource
  | inIndex | Index of the string to get within the resource

virtual MCCOMErr MCCOMAPI IShResourceUtilities::GetIndString | ( | TMCString & | ioString,
|  | int16 | inResID,
|  | int16 | inIndex |
| ) |  |  | `[pure virtual]`

Gets a string from a STR# resource by index. This is the most common way to get a string for display. Looks in the current resource file.

See also:
  CWhileInCompResFile

Parameters:

  | ioString | Returns the string found
  | inResID | Resource ID of the STR# resource
  | inIndex | Index of the string to get within the resource

virtual MCCOMErr MCCOMAPI IShResourceUtilities::GetResource | ( | const FourCharT | inType,
|  | const int32 | inResID,
|  | TMCResource *& | outResource |
| ) |  |  | `[pure virtual]`

Gets a resource from the current resource file. You must call ReleaseResource() to release the memory allocated in outResource

See also:
  CWhileInCompResFile

Parameters:

  | inType | Resource type to get
  | inResID | Resource ID of the resource to get
  | outResource | A pointer to the resource that is returned

virtual void MCCOMAPI IShResourceUtilities::ReleaseResource | ( | TMCResource * | resourcePtr | ) | `[pure virtual]`

Releases a resource returned by GetResource

Parameters:

  | resourcePtr | The pointer returned by GetResource

virtual MCCOMErr MCCOMAPI IShResourceUtilities::RestoreComponentResources | ( | void * | inOldResources | ) | `[pure virtual]`

Do not use. You should use CWhileInCompResFile instead of RestoreComponentResources in extensions.

Parameters:

  | inOldResources |

virtual MCCOMErr MCCOMAPI IShResourceUtilities::SetupComponentResources | ( | IDType | inCompFamilyID,
|  | IDType | inCompClassID,
|  | void ** | outOldResources |
| ) |  |  | `[pure virtual]`

Do not use. You should use CWhileInCompResFile instead of SetupComponentResources in extensions.

Parameters:

  | inCompFamilyID |
  | inCompClassID |
  | outOldResources |

The documentation for this struct was generated from the following file:

- IShUtilities.h